<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateWithdrawSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: withdraw_settings
         */
        Schema::create('withdraw_settings', function ($table) {
            $table->increments('id');
            $table->integer('withdraw_status')->nullable();
            $table->integer('withdraw_type')->nullable();
            $table->string('withdraw_date', 255)->nullable();
            $table->decimal('minimum_amount', 50)->nullable();
            $table->decimal('maximum_amount', 50)->nullable();
            $table->decimal('admin_withdraw_fee', 50)->nullable();
            $table->integer('admin_withdraw_fee_type')->nullable();
            $table->integer('Withdraw Limit')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('withdraw_settings');
    }
}
