Lavalite package that provides withdraw_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/withdraw_setting`.

    "litecms/withdraw_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\WithdrawSetting\Providers\WithdrawSettingServiceProvider::class,

And also add it to alias

    'WithdrawSetting'  => Litecms\WithdrawSetting\Facades\WithdrawSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\WithdrawSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\WithdrawSetting\Providers\WithdrawSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\WithdrawSetting\Providers\WithdrawSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\WithdrawSetting\Providers\WithdrawSettingServiceProvider" --tag="view"


## Usage


