<?php

namespace Litecms\WithdrawSetting\Repositories\Eloquent;

use Litecms\WithdrawSetting\Interfaces\WithdrawSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class WithdrawSettingRepository extends BaseRepository implements WithdrawSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.withdraw_setting.withdraw_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.withdraw_setting.withdraw_setting.model.model');
    }
}
